using System;
using System.Diagnostics;
using System.Text;
using System.Threading.Tasks;

namespace prvi_zadatak
{

    internal class AlNaPapir
    {
        static void Main(string[] args)
        {
            //input
            string niska = Console.ReadLine();
            char slovo_prvo = niska[0];
            char slovo_drugo = niska[1];
            string[] niska1 = Console.ReadLine().Split();
            int prvi_broj = int.Parse(niska1[0]);
            int drugi_broj = int.Parse(niska1[1]);
            if ((prvi_broj - drugi_broj >= 2) || (drugi_broj - prvi_broj >= 2)) { Console.WriteLine("nemoguce"); }
            else if (prvi_broj > drugi_broj)
            {
                char[] resenje = new char[drugi_broj * 2 + 1];
                for (int i = 0; i <= drugi_broj / 2 + drugi_broj % 2; i += 2)
                {
                    resenje[i] = slovo_prvo;
                    resenje[(drugi_broj * 2 + 1) - i - 2] = slovo_drugo;
                    resenje[i + 1] = slovo_drugo;
                    resenje[(drugi_broj * 2 + 1) - i - 3] = slovo_prvo;
                }
                resenje[(drugi_broj * 2 + 1) - 1] = slovo_prvo;
                Console.WriteLine(resenje);
            }
            else if (drugi_broj > prvi_broj)
            {
                char[] resenje = new char[prvi_broj * 2 + 1];
                for (int i = 0; i <= prvi_broj / 2 + prvi_broj % 2; i += 2)
                {
                    resenje[i] = slovo_drugo;
                    resenje[(prvi_broj * 2 + 1) - i - 2] = slovo_prvo;
                    resenje[i + 1] = slovo_prvo;
                    resenje[(prvi_broj * 2 + 1) - i - 3] = slovo_drugo;

                }
                resenje[(prvi_broj * 2 + 1) - 1] = slovo_drugo;
                Console.WriteLine(resenje);
            }
            else if(prvi_broj == drugi_broj)
            {
                char[] resenje = new char[drugi_broj * 2];
                for (int i = 0; i <= drugi_broj / 2 + drugi_broj % 2; i += 2)
                {
                    resenje[i] = slovo_prvo;
                    resenje[(drugi_broj * 2) - i - 1] = slovo_drugo;
                    resenje[i + 1] = slovo_drugo;
                    resenje[(drugi_broj * 2) - i - 2] = slovo_prvo;
                }
                Console.WriteLine(resenje);
            }
        }
    }
}